<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
$menu = $_SESSION['menu'];
include $menu;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>
<body>
<h3>ΔΙΟΡΘΩΣΗ ΣΤΟΙΧΕΙΩΝ ΔΡΑΣΤΗΡΙΟΤΗΤΑΣ</h3>
<?php
require("dbconnect.php");
$name=$_SESSION['n'];
$usr=$_SESSION['pmp'];
$dt=$_SESSION['dt'];
$code=$_GET['cod'];

$result=mysqli_query($con,"SELECT onoma,code,date,perapo,permexri FROM ekdilosi WHERE code='$code'");
$row = mysqli_fetch_array($result);

$dat1 = $row['date'];
$code1 = $row['code'];
$perapo1 = $row['perapo'];
$permexri1 = $row['permexri'];
$ekdilo1 = $row['onoma'];

echo '<p style="color: red">
      Μπορείτε να διορθώσετε την Ημερομηνία και τις περιόδους της δραστηριότητας
	  και να προσθαφαιρέσετε μαθητές στον κατάλογο!
      </p>';

?>
<br>
<form  method="post" name = "ekdilosichange" > 
<fieldset style="width: 750px; ">
<legend>ΣΤΟΙΧΕΙΑ ΔΡΑΣΤΗΡΙΟΤΗΤΑΣ:<?php echo "<b>".$ekdilo1."</b>";  ?> </legend>
<p> ΗΜΕΡΟΜΗΝΙΑ:<input type="date"  name = 'dat' value= <?php echo $dat1; ?> >  </p >
<p> ΔΡΑΣΤΗΡΙΟΤΗΤΑ  :<input type='text' name='ekdilo' size = '60' value="<?php echo $ekdilo1; ?>" readonly /> 
 ΚΩΔΙΚΟΣ:<input type='text' name='code' size = '5' value="<?php echo $code1; ?>" readonly /></p > 
<p > ΑΠΟ ΠΕΡ.  :<input type='text' name='perapo' size = '3' value ="<?php echo $perapo1; ?>"  /> 
ΜΕΧΡΙ ΠΕΡ.:<input type='text' name='permexri' size = '3' value = "<?php echo $permexri1; ?>" /> </p>   

<br ><br ><input type="Submit" name="Submit" value="Υποβολή Στοιχείων Δραστηριότητας" >
</fieldset>
</form>	

<?php
if (isset($_POST['Submit'])) 
{ 

$ekdilo = $_POST['ekdilo'];
$papo = $_POST['perapo'];
$pm = $_POST['permexri'];
$dat = $_POST['dat']; 
 
$result = mysqli_query($con,"SELECT pmp,tmima,p1,p2,p3,p4,p5,p6,p7 FROM ekdilosistu WHERE code = '$code' ");
$rowcount=mysqli_num_rows($result);

$i=1;
while($row = mysqli_fetch_array($result))
{
	 $pmp[$i]=$row['pmp'];
	 for ($x=1; $x<=7; $x++) 
	 {
	  $p[$x]=0;
	 }
	 for ($x=$papo; $x<=$pm; $x++) 
	 {
	  $p[$x]=1;
	 }
mysqli_query($con,"UPDATE ekdilosistu SET p1='$p[1]',p2='$p[2]',p3='$p[3]',p4='$p[4]',p5='$p[5]',p6='$p[6]',p7='$p[7]'
        WHERE code = '$code'");	  
$i++;
}

mysqli_query($con,"UPDATE ekdilosi SET onoma='$ekdilo',date='$dat',perapo='$papo',permexri='$pm'  WHERE  code = '$code'" );

//............ display
$result = mysqli_query($con,"SELECT pmp,tmima,p1,p2,p3,p4,p5,p6,p7 FROM ekdilosistu WHERE code = '$code' ");
$rowcount=mysqli_num_rows($result);


include "epmathnew.php";



} 

?>
<br><br>
<a  href=<?php echo $menu; ?> style="color:blue "  > <button> Επιστροφή στο Μενού   </a>
</body>
</html>